#dev-docker profile
version: '3.1'
services:
  db:
    image: postgres
    container_name: postgresql-dev-docker
    restart: always
    environment:
      POSTGRES_DB: keycloak_back_end_db
      POSTGRES_PASSWORD: 1234!*MyJea@99
      POSTGRES_USER: user1
    volumes:
      - ./../target/postgresql-dev-docker:/var/lib/postgresql/data
    ports:
      - 5432:5432
  lab-mysql:
    container_name: mysql-dev-docker
    restart: always
    image: mysql/mysql-server
    environment:
      MYSQL_ROOT_PASSWORD: password
      MYSQL_ROOT_HOST: "%"
      MYSQL_DATABASE: keycloak
      MYSQL_USER: keycloak
      MYSQL_PASSWORD: password
    volumes:
      - ./../target/mysql-dev-docker:/var/lib/mysql
    ports:
      - 3306:3306
  keycloak:
    container_name: keycloak-dev-docker
    restart: always
    image: jboss/keycloak
    depends_on:
      - lab-mysql
    environment:
      DB_VENDOR: MYSQL
      DB_ADDR: lab-mysql
      DB_PORT: 3306
      DB_DATABASE: keycloak
      DB_USER: keycloak
      DB_PASSWORD: password
      KEYCLOAK_USER: admin
      KEYCLOAK_PASSWORD: 1234
    ports:
      - 8099:8080
      - 8443:8443
      - 9990:9990
    volumes:
      - ./../target/keycloak-dev-docker:/data
    links:
      - lab-mysql

#  docker-compose -f docker-compose.yml up -d
#  connect to keycloak ui http://localhost:8099
#  back-up database
#  docker exec mysql-dev-docker /usr/bin/mysqldump -u keycloak -ppassword keycloak > backup.sql
#  restore database
#  cat backup.sql | docker exec -i mysql-dev-docker /usr/bin/mysql -u keycloak -ppassword keycloak
#  docker inspect mysql-dev-docker
#  cat backup.sql | docker exec -i mysql-dev-docker /usr/bin/mysql -h '172.20.0.3' -u keycloak -ppassword keycloak
